/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\engines\ML Peerless + misc areas\labyrinth\mobiles\minotaur.cs
Lines of code: 82
***********************************************************/


using System;
using Server.Mobiles;
using Server.Items;

namespace Server.Mobiles
{
	[CorpseName( "a Minotaur corpse" )]
	public class Minotaur : BaseCreature
	{	
	
		public override WeaponAbility GetWeaponAbility()
		{
			return WeaponAbility.ParalyzingBlow;
		}

		[Constructable]
		public Minotaur() : base( AIType.AI_Melee, FightMode.Closest, 10, 1, 0.20, 0.24 )
		{
			Name = "a Minotaur";
			Body = 263;
			BaseSoundID = 1017;

			SetStr( 303, 324 );
			SetDex( 91, 109 );
			SetInt( 34, 49 );
			
			SetHits( 305, 339 );
			SetStam( 91, 109 );
			SetMana( 34, 49 );
			
			SetDamage( 14, 24 );

			SetDamageType( ResistanceType.Physical, 100 );
	
			//default resists
			SetResistance( ResistanceType.Physical, 55, 65 );
			SetResistance( ResistanceType.Fire, 25, 33 );
			SetResistance( ResistanceType.Cold, 30, 40 );
			SetResistance( ResistanceType.Poison, 30, 40 );
			SetResistance( ResistanceType.Energy, 30, 40 );
			
			//default skills			
			SetSkill( SkillName.MagicResist, 56.7, 64.8 );
			SetSkill( SkillName.Tactics, 82.4, 99.7 );
			SetSkill( SkillName.Wrestling, 84.9, 98.5 );
			SetSkill( SkillName.DetectHidden, 140.0, 160.0 );

			Fame = 8000;
			Karma = -8000;

			VirtualArmor = 18;
		
		}
		
		public override int GetAngerSound()
		{
			return 1016;
		}

		public override int GetIdleSound()
		{
			return 1018;
		}

		public override int GetAttackSound()
		{
			return 1017;
		}

		public override int GetHurtSound()
		{
			return 1019;
		}

		public override int GetDeathSound()
		{
			return 1020;
		}	

		public override void GenerateLoot()
		{
			AddLoot( LootPack.Rich, 2 );
		}

		public override int Meat{ get{ return 2; } }
		public override int Hides{ get{ return 8; } }
		public override FoodType FavoriteFood{ get{ return FoodType.FruitsAndVegies; } }
		public override bool IsMLCreature { get { return true;} } 


		public Minotaur(Serial serial) : base(serial)
		{
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 1 ); // version
			//writer.Write( m_SpeedBoost );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
			
			/*switch( version )
			{
				case 1:
				{
					m_SpeedBoost = reader.ReadBool();
					break;
				}
			}*/
		}
	}
}ÿ